// 005 u_find_memo
// 12 jun 2005

// -- (C) Felix John COLIBRI 2007
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_bfs_05_tracing_delegate_win32;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, WideStrings, StdCtrls, ExtCtrls, ComCtrls, DB, SqlExpr, FMTBcd,
  Grids, DBGrids, DBClient, Provider;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Splitter1: TSplitter;
    PageControl1: TPageControl;
    log_: TTabSheet;
    Memo1: TMemo;
    Panel2: TPanel;
    exit_: TButton;
    clear_: TButton;
    trace_: TTabSheet;
    trace_file_: TTabSheet;
    DBX_TRAINING_JDS_TRACE: TSQLConnection;
    COURSE: TSQLDataSet;
    DataSetProvider1: TDataSetProvider;
    ClientDataSet1: TClientDataSet;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    open_dataset_: TButton;
    load_trace_: TButton;
    trace_memo_: TMemo;
    procedure exit_Click(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure load_trace_Click(Sender: TObject);
    procedure open_dataset_Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation
  uses u_c_display;

{$R *.dfm}

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end; // exit_Click

    procedure TForm1.open_dataset_Click(Sender: TObject);
      begin
        // -- toggle Open
        ClientDataset1.Active:= Not ClientDataSet1.Active;
      end; // open_dataset_Click

    const k_trace_file= 'dbx_trace.txt';

    procedure TForm1.load_trace_Click(Sender: TObject);
      begin
        trace_memo_.Lines.LoadFromFile(k_trace_file);
      end; // load_trace_Click



end.
